## octavia 14.0.2

=== debian/changelog ===
octavia (14.0.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Rebased:
    - use-octavia-agent-lvs-masquerade-not-lvs-masquerade.sh.patch
  * Removed patch applied upstream:
    - Fix_loadbalancer_stuck_in_cascade_delete.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 10:20:11 +0000

octavia (14.0.0-7) UNRELEASED; urgency=medium

  * Add Fix_loadbalancer_stuck_in_cascade_delete.patch.
  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 13:04:48 +0200

octavia (14.0.0-5) unstable; urgency=medium

  * Removed quotes in octavia-agent-sysctl.conf that are causing the namespace
    to not be created in the amphora.
  * octavia-agent-netns-start: wait until /var/lib/octavia/plugged_interfaces
    appears.
  * Add test-with-1024-bits-not-512.patch (Closes: #1081365).

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Aug 2024 12:35:50 +0200

octavia (14.0.0-4) unstable; urgency=medium

  * octavia-agent: move scripts from /sbin to /usr/sbin (Closes: #1073689).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Jul 2024 06:21:16 +0200

octavia (14.0.0-3) unstable; urgency=medium

  * Remove nwdiag use in docs, as its now well supported in Debian.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 May 2024 15:31:21 +0200

octavia (14.0.0-2) unstable; urgency=medium

  * Added pt_BR.po Brazilian Portuguese translation of debconf templates,
    thanks to Paulo Henrique de Lima Santana (Closes: #1025992).

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 May 2024 10:02:54 +0200

octavia (14.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 12:06:35 +0200

octavia (14.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 12:55:42 +0100

=== debian/control ===
Source: octavia
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 python3-bandit,
 python3-barbicanclient,
 python3-bashate,
 python3-castellan,
 python3-cinderclient,
 python3-cotyledon,
 python3-coverage,
 python3-cryptography,
 python3-dateutil,
 python3-distro,
 python3-docutils,
 python3-flask,
 python3-futurist,
 python3-glanceclient,
 python3-graphviz,
 python3-gunicorn,
 python3-hacking,
 python3-jinja2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-networkx,
 python3-novaclient,
 python3-octavia-lib (>= 3.3.0),
 python3-openstackdocstheme,
 python3-openstacksdk (>= 0.103.0),
 python3-os-api-ref,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-pecan,
 python3-psutil,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pydot,
 python3-pydotplus,
 python3-pyparsing,
 python3-pyroute2,
 python3-reno,
 python3-requests,
 python3-requests-mock,
 python3-rfc3986,
 python3-sadisplay,
 python3-setproctitle,
 python3-simplejson,
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.actdiag,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore,
 python3-subunit,
 python3-taskflow (>= 5.5.0),
 python3-tempest,
 python3-tenacity,
 python3-testrepository,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-wsme,
 python3-yaml,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/octavia
Vcs-Git: https://salsa.debian.org/openstack-team/services/octavia.git
Homepage: https://github.com/openstack/octavia

Package: octavia-driver-agent
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - Driver Agent
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package contains the Octavia Driver Agent that needs to be installed when
 using the ovn-octavia-provider.

Package: octavia-agent
Architecture: all
Depends:
 acl,
 adduser,
 anacron,
 apparmor,
 at,
 cron | cron-daemon,
 cryptsetup,
 curl,
 dbconfig-common,
 dbus,
 debconf,
 dirmngr,
 dmeventd,
 ethtool,
 gawk,
 gpg,
 gpg-agent,
 haproxy,
 haveged,
 ifenslave,
 ifupdown,
 iptables,
 iputils-ping,
 iputils-tracepath,
 ipvsadm,
 keepalived,
 net-tools,
 netbase,
 netcat-openbsd,
 octavia-common (= ${binary:Version}),
 pollinate,
 psmisc,
 python3-openstackclient,
 q-text-as-data,
 rsyslog,
 socat,
 uuid-runtime,
 vlan,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - Agent
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package contains the Octavia Agent that needs to be installed in the
 Amphorae base image.

Package: octavia-api
Architecture: all
Depends:
 adduser,
 octavia-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - API frontend
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package provides the API frontend.

Package: octavia-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-octavia (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - Common files
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package contains elements that are needed by all parts of Octavia.

Package: octavia-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Load Balancer Service - documentation
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package contains the documentation for Octavia.

Package: octavia-health-manager
Architecture: all
Depends:
 adduser,
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balancer Service - Health manager
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package provides Octavia Health Manager.

Package: octavia-housekeeping
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balancer Service - Housekeeping manager
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package provides Octavia Housekeeping Manager.

Package: octavia-worker
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balancer Service - Worker
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package provides Octavia worker.

Package: python3-octavia
Section: python
Architecture: all
Depends:
 alembic,
 python3-barbicanclient,
 python3-castellan,
 python3-cinderclient,
 python3-cotyledon,
 python3-cryptography,
 python3-dateutil,
 python3-distro,
 python3-flask,
 python3-futurist,
 python3-glanceclient,
 python3-gunicorn,
 python3-jinja2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-novaclient,
 python3-octavia-lib (>= 3.3.0),
 python3-openstacksdk (>= 0.103.0),
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-pecan,
 python3-psutil,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pyroute2,
 python3-requests,
 python3-rfc3986,
 python3-setproctitle,
 python3-simplejson,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore,
 python3-taskflow (>= 5.5.0),
 python3-tenacity,
 python3-webob,
 python3-wsme,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - Python libraries
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the

## octavia 15.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.9.6 # MIT
cotyledon>=1.3.0 # Apache-2.0
pecan>=1.3.2 # BSD
pbr>=3.1.1 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
SQLAlchemy-Utils>=0.30.11
futurist>=1.2.0 # Apache-2.0
requests>=2.23.0 # Apache-2.0
rfc3986>=1.2.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=9.5.0 # Apache-2.0
WebOb>=1.8.2 # MIT
stevedore>=1.20.0 # Apache-2.0
openstacksdk>=0.103.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db[mysql]>=8.4.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.middleware>=4.0.1 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization>=2.28.1 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
psutil>=5.7.1 # BSD
pyasn1!=0.2.3,>=0.1.8 # BSD
pyasn1-modules>=0.0.6 # BSD
python-barbicanclient>=4.5.2 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
WSME>=0.8.0 # MIT
Jinja2>=2.10 # BSD License (3 clause)
taskflow>=5.5.0 # Apache-2.0
castellan>=0.16.0 # Apache-2.0
tenacity>=5.0.4  # Apache-2.0
distro>=1.2.0 # Apache-2.0
jsonschema>=3.2.0 # MIT
octavia-lib>=3.3.0 # Apache-2.0
setproctitle>=1.1.10 # BSD
python-dateutil>=2.7.0 # BSD

#for the amphora api
Flask!=0.11,>=0.10 # BSD
cryptography>=42.0.0 # BSD/Apache-2.0
pyroute2>=0.5.14;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
gunicorn>=19.9.0 # MIT
Werkzeug>=0.14.1 # BSD License

=== debian/changelog ===
octavia (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:22:26 +0200

octavia (15.0.0~rc1-3) unstable; urgency=medium

  * Add fix-requirements-to-allow-python3-cryptography-38.patch.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2024 09:54:33 +0200

octavia (15.0.0~rc1-2) experimental; urgency=medium

  * Relaxed cryptography (build-)depends.
  * Add compat-python3-cryptography-bookworm.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2024 09:47:38 +0200

octavia (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased use-octavia-agent-lvs-masquerade-not-lvs-masquerade.sh.patch.
  * Removed remove-nwdiag.patch.
  * Blacklist failing tests: TestAmphoraAPIClientTest\.test_.*_missing.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2024 10:38:37 +0200

=== debian/control ===
--- 
+++ 
@@ -70,7 +70,6 @@
  python3-rfc3986,
  python3-sadisplay,
  python3-setproctitle,
- python3-simplejson,
  python3-sphinx-feature-classification,
  python3-sphinxcontrib.actdiag,
  python3-sphinxcontrib.apidoc,
@@ -354,7 +353,6 @@
  python3-requests,
  python3-rfc3986,
  python3-setproctitle,
- python3-simplejson,
  python3-sqlalchemy,
  python3-sqlalchemy-utils,
  python3-stevedore,
@@ -367,3 +365,4 @@
  ${python3:Depends},
 Description: OpenStack Load Balancer as a Service - Python libraries
  Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
+ Neutron LBaaS project. Its conception influenced the transformation of the

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

OCTAVIA_CONF=$(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean
	find . -iname '*.pyc' -delete
	rm -f AUTHORS
	rm -f ChangeLog
	rm -rf debian/po
	rm -f debian/octavia-agent.octavia-agent.init debian/octavia-api.init debian/octavia-health-manager.init debian/octavia-housekeeping.init debian/octavia-worker.init debian/octavia-driver-agent.init
	rm -f debian/octavia-agent.octavia-agent.service debian/octavia-api.service debian/octavia-health-manager.service debian/octavia-housekeeping.service debian/octavia-worker.service
	rm -rf octavia.sqlite
	rm -rf octavia.egg-info
	rm -rf .eggs
	rm -rf doc/source/contributor/devref/flow_diagrams
	rm -rf doc/source/contributor/modules
	rm -f doc/source/configuration/_static/octavia.policy.yaml.sample
	rm -f doc/source/contributor/devref/erd.svg
	rm -f debian/octavia-api.postinst debian/octavia-api.config debian/octavia-common.postinst debian/octavia-common.config
	rm -f debian/octavia-api.templates debian/octavia-common.postrm octavia-driver-agent.service octavia-health-manager.config octavia-health-manager.postinst
	rm -f debian/octavia-health-manager.postinst debian/octavia-driver-agent.service debian/octavia-common.templates debian/octavia-health-manager.config
	rm -rf doc/source/contributor/devref/flow_diagrams_v2
	rm -rf build .stestr doc/source/configuration/_static
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	cp -auxf debian/po.in debian/po
	set -e ; for i in $(PYTHON3S) ; do \
		python3 setup.py build --force ; \
	done

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-health-manager.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-health-manager.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm octavia-common.postrm
	pkgos-merge-templates octavia-api octavia endpoint
	pkgos-merge-templates octavia-common octavia db rabbit ksat

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'octavia\.tests\.unit\.(?!.*cmd\.test_status\.TestUpgradeChecks\.test__check_amphorav2_warning|.*cmd\.test_status\.TestUpgradeChecks\.test__check_persistence_sqlite|amphorae\.drivers\.haproxy\.test_rest_api_driver_1_0\.TestAmphoraAPIClientTest\.test_.*_missing)'
endif

override_dh_auto_install:
	echo "Do nothing here..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --root=debian/tmp --install-layout=deb ; \
	done

	mkdir -p $(CURDIR)/debian/octavia-agent/usr/bin
	cp elements/amphora-agent/static/usr/local/bin/lvs-masquerade.sh $(CURDIR)/debian/octavia-agent/usr/bin/octavia-agent-lvs-masquerade

	# Generate the octavia.conf config using installed python-octavia files.
	mkdir -p $(CURDIR)/debian/octavia-common/usr/share/octavia-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf \
		--wrap-width 140 \
		--namespace octavia \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.middleware.healthcheck \
		--namespace oslo.policy \
		--namespace keystonemiddleware.audit \
		--namespace keystonemiddleware.auth_token \
		--namespace cotyledon \
		--namespace castellan.config

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf oslo_policy policy_dirs /etc/octavia/policy.d

	# Readd missing options in keystone_authtoken
	pkgos-readd-keystone-authtoken-missing-options $(OCTAVIA_CONF) keystone_authtoken octavia

	# Fix default values
	pkgos-fix-config-default $(OCTAVIA_CONF) oslo_messaging topic octavia_prov
	pkgos-fix-config-default $(OCTAVIA_CONF) service_auth project_domain_name Default
	pkgos-fix-config-default $(OCTAVIA_CONF) service_auth user_domain_name Default
	pkgos-fix-config-default $(OCTAVIA_CONF) service_auth auth_type password
	pkgos-fix-config-default $(OCTAVIA_CONF) controller_worker amphora_driver amphora_haproxy_rest_driver
	pkgos-fix-config-default $(OCTAVIA_CONF) controller_worker compute_driver compute_nova_driver
	pkgos-fix-config-default $(OCTAVIA_CONF) controller_worker network_driver allowed_address_pairs_driver

	# Same with policy.conf
	mkdir -p $(CURDIR)/debian/octavia-common/etc/octavia/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/octavia-common/etc/octavia/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace octavia

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/octavia-common/etc/octavia/policy.d/00_default_policy.yaml

	# Restore sanity...
	pkgos-fix-config-default $(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf keystone_notifications enable True

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	find debian/tmp/  -type d -name __pycache__ -exec rm -r {} \+

	dh_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/octavia-doc/usr/share/doc/octavia-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms:
	dh_fixperms
	chmod +x $(CURDIR)/debian/octavia-agent/var/lib/octavia/ping-wrapper.sh

# We use override_dh_installmenu because it's done in the sequence with dh,
# and we already override dh_installinit in pkgos.make.
# Obviously, we will never use a Desktop menu in such a package, so that's
# not a problem.
override_dh_installmenu:
	dh_installinit -poctavia-agent --name=octavia-agent
	dh_installinit -poctavia-agent --name=octavia-agent-certs-ramfs
	dh_installinit -poctavia-agent --name=octavia-agent-netns

override_dh_installsystemd:
	dh_installsystemd -poctavia-api
	dh_installsystemd -poctavia-health-manager
	dh_installsystemd -poctavia-housekeeping
	dh_installsystemd -poctavia-worker
	dh_installsystemd -poctavia-agent --name=octavia-agent-netns
	dh_installsystemd -poctavia-agent --name=octavia-agent-certs-ramfs
	dh_installsystemd -poctavia-agent --name=octavia-agent
	dh_installsystemd -poctavia-driver-agent --name=octavia-driver-agent

## octavia 15.0.1

=== debian/changelog ===
octavia (15.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Fri, 26 Sep 2025 07:40:19 +0000

octavia (15.0.0-4) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 13:04:27 +0200

octavia (15.0.0-3) unstable; urgency=medium

  * Upgrade -doc to bootstrap5 (Closes: #1088478).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 12:19:06 +0100

octavia (15.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090453).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 12:20:02 +0100

## octavia 15.1.0

=== debian/changelog ===
octavia (15.1.0-0~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 27 Jan 2026 18:30:34 +0000

octavia (15.0.1-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Sep 2025 09:39:25 +0200

## octavia 16.0.0~rc1

=== debian/changelog ===
octavia (16.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 15:59:38 +0100

octavia (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patches applied upstream:
    - test-with-1024-bits-not-512.patch
  * Refresh patch:
    - use-octavia-agent-lvs-masquerade-not-lvs-masquerade.sh.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 18:55:59 +0100

## octavia 16.0.0

=== requirements.txt ===
--- 
+++ 
@@ -40,12 +40,12 @@
 python-cinderclient>=3.3.0 # Apache-2.0
 WSME>=0.8.0 # MIT
 Jinja2>=2.10 # BSD License (3 clause)
-taskflow>=5.5.0 # Apache-2.0
+taskflow>=5.9.0 # Apache-2.0
 castellan>=0.16.0 # Apache-2.0
 tenacity>=5.0.4  # Apache-2.0
 distro>=1.2.0 # Apache-2.0
 jsonschema>=3.2.0 # MIT
-octavia-lib>=3.3.0 # Apache-2.0
+octavia-lib>=3.8.0 # Apache-2.0
 setproctitle>=1.1.10 # BSD
 python-dateutil>=2.7.0 # BSD

=== debian/changelog ===
octavia (16.0.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 25 Jul 2025 11:01:31 +0000

octavia (16.0.0-2) unstable; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:55:07 +0200

octavia (16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:48:44 +0200

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  python3-keystonemiddleware,
  python3-networkx,
  python3-novaclient,
- python3-octavia-lib (>= 3.3.0),
+ python3-octavia-lib (>= 3.8.0),
  python3-openstackdocstheme,
  python3-openstacksdk (>= 0.103.0),
  python3-os-api-ref,
@@ -79,7 +79,7 @@
  python3-sqlalchemy-utils,
  python3-stevedore,
  python3-subunit,
- python3-taskflow (>= 5.5.0),
+ python3-taskflow (>= 5.9.0),
  python3-tempest,
  python3-tenacity,
  python3-testrepository,
@@ -228,7 +228,7 @@
 Section: doc
 Architecture: all
 Depends:
- libjs-bootstrap,
+ libjs-bootstrap5,
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Description: OpenStack Load Balancer Service - documentation
@@ -331,7 +331,7 @@
  python3-keystoneauth1,
  python3-keystonemiddleware,
  python3-novaclient,
- python3-octavia-lib (>= 3.3.0),
+ python3-octavia-lib (>= 3.8.0),
  python3-openstacksdk (>= 0.103.0),
  python3-oslo.config,
  python3-oslo.context,
@@ -356,7 +356,7 @@
  python3-sqlalchemy,
  python3-sqlalchemy-utils,
  python3-stevedore,
- python3-taskflow (>= 5.5.0),
+ python3-taskflow (>= 5.9.0),
  python3-tenacity,
  python3-webob,
  python3-wsme,

## octavia 16.0.0+git2025070714.0f04d4007

=== diskimage-create/requirements.txt ===
diskimage-builder>=2.24.0

=== debian/changelog ===
octavia (1:16.0.0+git2025070714.0f04d4007-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/p/cryptography-compat.patch: Refresh.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 22 Jul 2025 15:59:06 -0700

octavia (1:16.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.
  * Refresh patches:
    - d/p/cryptography-compat.patch
    - d/p/disable-sphinxcontrib.rsvgconverter.patch
    - d/install-missing-files.patch
    - d/p/install-missing-db-files.patch

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 10:35:57 -0700

octavia (1:15.0.0+git2025030311.083dd12b0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 04 Mar 2025 09:19:00 +0000

octavia (1:15.0.0+git2025011510.697c89ec2-0ubuntu2) plucky; urgency=medium

  * d/control: Drop minimum version of cryptography to 41.0.0 to ease
    backports to noble (package carries a compatibility patch).

 -- James Page <james.page@ubuntu.com>  Wed, 22 Jan 2025 10:45:13 +0000

octavia (1:15.0.0+git2025011510.697c89ec2-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Guillaume Boutry ]
  * New upstream release for OpenStack Epoxy.
  * d/p/tenacity-8.5-compat.patch: drop compatibility patch
  * d/control: remove unnecessary dependencies

  [ James Page ]
  * d/control: Align (Build-)Depends with upstream.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 21 Jan 2025 08:23:42 +0000

octavia (1:15.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:36:27 +0100

octavia (1:15.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/p/oslo.policy-4.4.0-compat.patch: Drop, no longer needed.
  * d/p/tenacity-8.5-compat.patch: Tidy debug logging.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2024 10:58:10 +0100

octavia (1:14.0.0+git2024080716.c2c5a4ce-0ubuntu2) oracular; urgency=medium

  * d/p/cryptography-compat.patch: Provide backwards compatibility with
    older cryptography versions.

 -- James Page <james.page@ubuntu.com>  Thu, 22 Aug 2024 16:12:56 +0100

octavia (1:14.0.0+git2024080716.c2c5a4ce-0ubuntu1) oracular; urgency=medium

  * New snapshot for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Add Build-Conflict on simplejson to fix patching.
  * d/p/oslo.policy-4.4.0-compat.patch: Cherry pick fix for
    compatibility with oslo.policy >= 4.4.0.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Aug 2024 16:32:43 +0100

## octavia 16.0.1

=== debian/changelog ===
octavia (16.0.1-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Wed, 03 Dec 2025 11:12:58 +0000

octavia (16.0.0-3) unstable; urgency=medium

  * Add an aphora-agent.service as this is what the Octavia user_data script
    is calling for restarting the agent after writting the config files.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Aug 2025 16:56:10 +0200

## octavia 17.0.0~rc1

=== debian/changelog ===
octavia (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions, satisfied in trixie.
  * Standards-Version: 4.7.2.
  * Remove add-a-healthcheck-url.patch applied upstream.
  * Rebased fix-requirements-to-allow-python3-cryptography-38.patch.
  * Removed now useless fix-requirements-to-allow-python3-cryptography-38.patch
  * Fixed version of octavia-lib.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2025 09:06:23 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 OCTAVIA_CONF=$(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	python3 setup.py clean
@@ -119,7 +119,7 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/octavia-doc/usr/share/doc/octavia-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc
 endif
 
 override_dh_missing:
@@ -135,6 +135,7 @@
 # not a problem.
 override_dh_installmenu:
 	dh_installinit -poctavia-agent --name=octavia-agent
+	dh_installinit -poctavia-agent --name=amphora-agent
 	dh_installinit -poctavia-agent --name=octavia-agent-certs-ramfs
 	dh_installinit -poctavia-agent --name=octavia-agent-netns
 
@@ -146,4 +147,5 @@
 	dh_installsystemd -poctavia-agent --name=octavia-agent-netns
 	dh_installsystemd -poctavia-agent --name=octavia-agent-certs-ramfs
 	dh_installsystemd -poctavia-agent --name=octavia-agent
+	dh_installsystemd -poctavia-agent --name=amphora-agent
 	dh_installsystemd -poctavia-driver-agent --name=octavia-driver-agent

## octavia 17.0.0~rc2

=== debian/changelog ===
octavia (17.0.0~rc2-3~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Tue, 30 Sep 2025 07:17:14 +0000

octavia (17.0.0~rc2-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 10:40:37 +0200

octavia (17.0.0~rc2-2) experimental; urgency=medium

  * Switch octavia-api to module=octavia.wsgi.api:application, as the wsgi API
    script is removed by upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Sep 2025 11:04:11 +0200

octavia (17.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Sep 2025 00:47:47 +0200

## octavia 17.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,9 +2,6 @@
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
 
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 alembic>=0.9.6 # MIT
 cotyledon>=1.3.0 # Apache-2.0
 pecan>=1.3.2 # BSD
@@ -26,7 +23,7 @@
 oslo.log>=4.3.0 # Apache-2.0
 oslo.messaging>=14.1.0 # Apache-2.0
 oslo.middleware>=4.0.1 # Apache-2.0
-oslo.policy>=3.7.0 # Apache-2.0
+oslo.policy>=4.5.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
 oslo.serialization>=2.28.1 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0

=== doc/requirements.txt ===
# Docs
hacking>=3.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.1 # BSD
docutils>=0.11 # OSI-Approved Open Source, Public Domain
sphinx>=2.0.0,!=2.1.0 # BSD
graphviz!=0.5.0,>=0.4 # MIT License
openstackdocstheme>=2.2.1 # Apache-2.0
sadisplay>=0.4.8 # BSD
reno>=3.1.0 # Apache-2.0
sphinx-feature-classification>=0.2.0 # Apache-2.0

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

# This needs to be installed after above modules
pydot>=1.2.4 # MIT License
pydotplus>=2.0.2 # MIT License
pyparsing>=2.1.0 # MIT
networkx>=1.10 # BSD

=== debian/changelog ===
octavia (17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed namespace list when generating config.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 22:17:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 123~),
+ openstack-pkg-tools,
  po-debconf,
  python3-all,
  python3-pbr,
@@ -39,16 +39,16 @@
  python3-keystonemiddleware,
  python3-networkx,
  python3-novaclient,
- python3-octavia-lib (>= 3.8.0),
+ python3-octavia-lib (>= 3.10.0),
  python3-openstackdocstheme,
- python3-openstacksdk (>= 0.103.0),
+ python3-openstacksdk,
  python3-os-api-ref,
  python3-oslo.config,
  python3-oslo.context,
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging (>= 14.1.0),
+ python3-oslo.messaging,
  python3-oslo.middleware,
  python3-oslo.policy,
  python3-oslo.reports,
@@ -79,8 +79,7 @@
  python3-sqlalchemy-utils,
  python3-stevedore,
  python3-subunit,
- python3-taskflow (>= 5.9.0),
- python3-tempest,
+ python3-taskflow,
  python3-tenacity,
  python3-testrepository,
  python3-testresources,
@@ -89,7 +88,7 @@
  python3-webob,
  python3-wsme,
  python3-yaml,
-Standards-Version: 4.4.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/octavia
 Vcs-Git: https://salsa.debian.org/openstack-team/services/octavia.git
 Homepage: https://github.com/openstack/octavia
@@ -331,14 +330,14 @@
  python3-keystoneauth1,
  python3-keystonemiddleware,
  python3-novaclient,
- python3-octavia-lib (>= 3.8.0),
- python3-openstacksdk (>= 0.103.0),
+ python3-octavia-lib (>= 3.10.0),
+ python3-openstacksdk,
  python3-oslo.config,
  python3-oslo.context,
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging (>= 14.1.0),
+ python3-oslo.messaging,
  python3-oslo.middleware,
  python3-oslo.policy,
  python3-oslo.reports,
@@ -356,7 +355,7 @@
  python3-sqlalchemy,
  python3-sqlalchemy-utils,
  python3-stevedore,
- python3-taskflow (>= 5.9.0),
+ python3-taskflow,
  python3-tenacity,
  python3-webob,
  python3-wsme,
@@ -366,3 +365,4 @@
 Description: OpenStack Load Balancer as a Service - Python libraries
  Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
  Neutron LBaaS project. Its conception influenced the transformation of the
+ Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.

=== debian/rules ===
--- 
+++ 
@@ -74,12 +74,13 @@
 		--namespace oslo.middleware.cors \
 		--namespace oslo.middleware.http_proxy_to_wsgi \
 		--namespace oslo.middleware.healthcheck \
+		--namespace oslo.middleware.sizelimit \
 		--namespace oslo.policy \
+		--namespace oslo.reports \
 		--namespace keystonemiddleware.audit \
 		--namespace keystonemiddleware.auth_token \
 		--namespace cotyledon \
 		--namespace castellan.config
-
 	# Use the policy.d folder
 	pkgos-fix-config-default $(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf oslo_policy policy_dirs /etc/octavia/policy.d

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-octavia,
 @builddeps@,
Restrictions: allow-stderr needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/octavia/tags .*/(\d[brc\d\.]+)\.tar\.gz

## octavia 17.0.0+git20260116.e805a93

=== debian/changelog ===
octavia (1:17.0.0+git20260116.e805a93-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: remove for snapshot
  * d/patches/*: refresh patches
  * New upstream snapshot from e805a93381530bd1656eb2d2ec535d101d6fe505
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Mon, 26 Jan 2026 15:04:43 -0800

octavia (1:17.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Mon, 06 Oct 2025 13:22:08 +0200

octavia (1:17.0.0~rc2-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 22 Sep 2025 07:22:16 -0700

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.openstack.org/octavia/ octavia-(\d{1,2}\.\d.*)\.tar\.gz
